"use client";
import Link from "next/link";
import { useState, useEffect } from "react";
import { COMPANY_INFO } from "@/lib/companies";

export default function About() {
  const [companyInfo, setCompanyInfo] = useState(COMPANY_INFO.default);

  useEffect(() => {
    const hostname = window.location.hostname;

    // 从域名中提取城市信息
    const domain = Object.keys(COMPANY_INFO).find(
      (key) => key !== "default" && hostname.includes(key)
    );

    if (domain) {
      setCompanyInfo(COMPANY_INFO[domain]);
    }
  }, []);

  return (
    <div className="min-h-screen bg-gray-50 p-4">
      <h1 className="text-2xl font-bold mb-4">关于我们</h1>
      <div className="bg-white p-4 rounded-lg shadow">
        <h2 className="text-lg font-semibold">公司名称</h2>
        <p className="mt-2">{companyInfo.name}</p>
        <h2 className="text-lg font-semibold mt-4">公司信息</h2>
        <p className="mt-2">
          我们是一家专注于提供优质宠物用品的公司，致力于为您的宠物提供最好的产品和服务。
        </p>

        <h2 className="text-lg font-semibold mt-4">用户协议</h2>
        <p className="mt-2">
          请在使用我们的服务之前，仔细阅读并理解我们的
          <Link href="/user-agreement" className="text-blue-500 underline">
            用户协议
          </Link>
          。
        </p>

        <h2 className="text-lg font-semibold mt-4">隐私协议</h2>
        <p className="mt-2">
          我们重视您的隐私，详细信息请参阅我们的
          <Link href="/privacy-policy" className="text-blue-500 underline">
            隐私协议
          </Link>
          。
        </p>

        <h2 className="text-lg font-semibold mt-4">网站版本</h2>
        <p className="mt-2">当前网站版本：1.0.0</p>

        <h2 className="text-lg font-semibold mt-4">网站ICP备案号</h2>
        <Link
          target="_blank"
          href="http://beian.miit.gov.cn"
          className="text-blue-500 underline"
        >
          {companyInfo.icp}
        </Link>
      </div>
    </div>
  );
}
